"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateSecret_1 = require("../model/operations/CreateSecret");
var CreateSecretCommand = /** @class */ (function () {
    function CreateSecretCommand(input) {
        this.input = input;
        this.model = CreateSecret_1.CreateSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateSecretCommand;
}());
exports.CreateSecretCommand = CreateSecretCommand;
//# sourceMappingURL=CreateSecretCommand.js.map