"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteSecret_1 = require("../model/operations/DeleteSecret");
var DeleteSecretCommand = /** @class */ (function () {
    function DeleteSecretCommand(input) {
        this.input = input;
        this.model = DeleteSecret_1.DeleteSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteSecretCommand;
}());
exports.DeleteSecretCommand = DeleteSecretCommand;
//# sourceMappingURL=DeleteSecretCommand.js.map