"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateSecret_1 = require("../model/operations/UpdateSecret");
var UpdateSecretCommand = /** @class */ (function () {
    function UpdateSecretCommand(input) {
        this.input = input;
        this.model = UpdateSecret_1.UpdateSecret;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateSecretCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateSecretCommand;
}());
exports.UpdateSecretCommand = UpdateSecretCommand;
//# sourceMappingURL=UpdateSecretCommand.js.map