"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutSecretValueInput_1 = require("../shapes/PutSecretValueInput");
var PutSecretValueOutput_1 = require("../shapes/PutSecretValueOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var EncryptionFailure_1 = require("../shapes/EncryptionFailure");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutSecretValue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutSecretValue",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutSecretValueInput_1.PutSecretValueInput
    },
    output: {
        shape: PutSecretValueOutput_1.PutSecretValueOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: EncryptionFailure_1.EncryptionFailure
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=PutSecretValue.js.map