"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreSecretInput_1 = require("../shapes/RestoreSecretInput");
var RestoreSecretOutput_1 = require("../shapes/RestoreSecretOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreSecretInput_1.RestoreSecretInput
    },
    output: {
        shape: RestoreSecretOutput_1.RestoreSecretOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=RestoreSecret.js.map